summaryrefslogtreecommitdiffstats
path: root/development/hugo
diff options
context:
space:
mode:
author Donald Cooley <chytraeu@sdf.org>2018-01-03 00:16:45 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-01-06 06:55:26 +0700
commit50082452de321e8d8caf7f22eb12173a400a5183 (patch)
treea77e2aa241156a7fab075c51c39e1e2bc930c668 /development/hugo
parent39480707495a20e52550403dfec5c26300b75ba8 (diff)
downloadslackbuilds-50082452de321e8d8caf7f22eb12173a400a5183.tar.gz
slackbuilds-50082452de321e8d8caf7f22eb12173a400a5183.tar.xz
development/hugo: Added (static HTML and CSS website generator).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/hugo')
-rw-r--r--development/hugo/README18
-rw-r--r--development/hugo/hugo.SlackBuild81
-rw-r--r--development/hugo/hugo.info10
-rw-r--r--development/hugo/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/development/hugo/README b/development/hugo/README
new file mode 100644
index 0000000000..ba58527378
--- /dev/null
+++ b/development/hugo/README
@@ -0,0 +1,18 @@
+Hugo is a static HTML and CSS website generator written in Go. It is
+optimized for speed, ease of use, and configurability. Hugo takes a
+directory with content and templates and renders them into a full HTML
+website.
+
+Hugo relies on Markdown files with front matter for metadata, and you
+can run Hugo from any directory. This works well for shared hosts and
+other systems where you don't have a privileged account.
+
+Hugo renders a typical website of moderate size in a fraction of a
+second. A good rule of thumb is that each piece of content renders in
+around 1 millisecond.
+
+Hugo is designed to work well for any kind of website including blogs,
+tumbles, and docs.
+
+This Slackbuild simply installs the Hugo binary in /usr/bin for easier
+upgrades.
diff --git a/development/hugo/hugo.SlackBuild b/development/hugo/hugo.SlackBuild
new file mode 100644
index 0000000000..0d56109d15
--- /dev/null
+++ b/development/hugo/hugo.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for hugo
+
+# Copyright 2018 Donald Cooley South Haven, IN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=hugo
+VERSION=${VERSION:-0.32}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ BIT="32bit"
+elif [ "$ARCH" = "x86_64" ]; then
+ BIT="64bit"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_$VERSION\_Linux-$BIT.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin/
+cp hugo $PKG/usr/bin/hugo
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/hugo/hugo.info b/development/hugo/hugo.info
new file mode 100644
index 0000000000..24a859f7b9
--- /dev/null
+++ b/development/hugo/hugo.info
@@ -0,0 +1,10 @@
+PRGNAM="hugo"
+VERSION="0.32"
+HOMEPAGE="https://gohugo.io"
+DOWNLOAD="https://github.com/gohugoio/hugo/releases/download/v0.32/hugo_0.32_Linux-32bit.tar.gz"
+MD5SUM="a8e8c1a1f366c9642756ec2acf043289"
+DOWNLOAD_x86_64="https://github.com/gohugoio/hugo/releases/download/v0.32/hugo_0.32_Linux-64bit.tar.gz"
+MD5SUM_x86_64="056e16127afe1d5cbc0e71e85d8b158a"
+REQUIRES=""
+MAINTAINER="Donald Cooley"
+EMAIL="chytraeu@sdf.org"
diff --git a/development/hugo/slack-desc b/development/hugo/slack-desc
new file mode 100644
index 0000000000..c1f14fb1e4
--- /dev/null
+++ b/development/hugo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hugo: hugo (static HTML and CSS website generator written in Go)
+hugo:
+hugo: Hugo is a static HTML and CSS website generator written in Go. It is
+hugo: optimized for speed, ease of use, and configurability. Hugo takes a
+hugo: directory with content and templates and renders them into a full HTML
+hugo: website.
+hugo: Hugo relies on Markdown files with front matter for metadata, and you
+hugo: can run Hugo from any directory. This works well for shared hosts and
+hugo: other systems where you don't have a privileged account.
+hugo: Homepage: https://gohugo.io
+hugo: